# Ipify [![Build Status](https://travis-ci.org/code-lever/ipify-gem.png)](https://travis-ci.org/code-lever/ipify-gem) [![Dependency Status](https://gemnasium.com/code-lever/ipify-gem.png)](https://gemnasium.com/code-lever/ipify-gem) [![Code Climate](https://codeclimate.com/github/code-lever/ipify-gem.png)](https://codeclimate.com/github/code-lever/ipify-gem) [![Gem Version](https://badge.fury.io/rb/ipify.svg)](http://badge.fury.io/rb/ipify)

An unofficial [ipify](http://ipify.org) Ruby gem.  Get your external IP address.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ipify'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ipify

## Usage

Pretty simple, you can either ignore exceptions or deal with them:

```
require 'ipify'

# deal w/errors!
begin
  ip = Ipify.ip!
  # => '1.2.3.4'
rescue Ipify::ConnectionError
  # failed to connect to the service
rescue Ipify::ServiceError
  # ipify.org is having issues!
rescue
  # something else...
end

# ignore errors!
ip = Ipify.ip
# => '1.2.3.4'
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release` to create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

1. Fork it ( https://github.com/code-lever/ipify-gem/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
